> For the complete documentation index, see [llms.txt](https://docs.acrcloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acrcloud.com/reference/console-api/file-scanning/metadata/custom-files.md).

# Custom Files

### JSON structure

```bash
{
    "custom_files": [
        {
            "offset": 0,
            "played_duration": 14,
            "type": "traverse",
            "result": {
                "bucket_id": "51",
                "title": "You are beautiful",
                "artist": "James",
                "acrid": "5343bc191634b042622bf474ed46121a",
                "audio_id": "3"
            }
        }
    ]
}
```

### Metadata fields

| Name                              | Description                                                                           |
| --------------------------------- | ------------------------------------------------------------------------------------- |
| custom\_files                     | Custom uploaded file fields                                                           |
| arcid                             | ACRCloud unique identifier                                                            |
| title                             | File name                                                                             |
| audio\_id                         | User defined identifier                                                               |
| play\_offset\_ms                  | Position of the recognition in the file if the file was playing (millisecond)         |
| \*db\_begin\_time\_offset\_ms     | Position of beginning of the recognition on database file (millisecond)               |
| \*db\_end\_time\_offset\_ms       | Position of end of the recognition on database file (millisecond)                     |
| \*sample\_begin\_time\_offset\_ms | Position of beginning of the recognition in sample file sent by SDK/API (millisecond) |
| \*sample\_end\_time\_offset\_ms   | Position of end of the recognition in sample file sent by SDK/API (millisecond)       |

{% hint style="info" %}
***\* fields are visible in Broadcast Monitoring service only, if you want to use these fields in recognition service, please contact us.***

**Please note: Only&#x20;*****Title, ARCID, Audio\_ID*****&#x20;are required fields.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/file-scanning/metadata/custom-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
